httprobe(1)

NAME
httprobe - Tool to find working http and https servers from a domains list

SYNOPSIS

httprobe accepts line-delimited domains on `stdin`:

cat domains-list.txt | httprobe [-c int] [-method string] [-p value] [-prefer-https] [-s] [-t int]

DESCRIPTION

httprobe takes a list of domains and probe for working http and https servers.

OPTIONS

-c int

    set the concurrency level (split equally between HTTPS and HTTP requests) (default 20)

-method string

    HTTP method to use (default "GET")

-p value

    add additional probe (proto:port)

-prefer-https

    only try plain HTTP if HTTPS fails

-s  skip the default probes (http:80 and https:443)

-t int

    timeout (milliseconds) (default 10000)

EXAMPLES
cat recon/example/domains.txt | httprobe cat domains.txt | httprobe -s -p https:8443

SEE ALSO

httprobe --help

/usr/share/doc/httprobe/README.md